#!/bin/bash

mkdir weights

# NUM_EPISODES=20000
NUM_EPISODES=20

for i in `seq 5`
do
	./bin/HFO --offense-agents=3 --defense-npcs=2 --defense-team=helios  --offense-on-ball 5 --headless  > "logfile_$i" &
	P1=$!
	sleep 10
	(cd ./example/sarsa_offense/ && rm -f "weights*" && ./high_level_sarsa_agent --numAgents 3 --numEpisodes $NUM_EPISODES &)
	P2=$!

	wait $P1 $P2
	mkdir "weights/trial$i"
	mv example/sarsa_offense/weights* "weights/trial$i/"
	echo "COMPLETED"
done
